@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500&display=swap');

* {
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  box-sizing: border-box;
}

.container {
  width: 100%;
  min-height: 100vh;
  background: whitesmoke;
  display: flex;
  align-items: center;
  justify-content: center;
}

.product {
  width: 90%;
  max-width: 750px;
  display: flex;
}

.gallery {
  flex-basis: 47%;
  background: #c2b8af;
  transform: scale(1.05);
  box-shadow: -10px 5px 10px 10px rgba(0, 0, 0, 0.1);
  position: relative;
  overflow: hidden;
  

}

.gallery img {
  width: 100%;
  height: auto;
  display: block;
  padding-top: 100px;
}

.controls {
  position: absolute;
  bottom: 40px;
  right: 20px;
}

.btn {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.5);
  margin: 10px;
  cursor: pointer;
}

.btn.active {
  background: #553ff0;
}

.details {
  flex-basis: 53%;
  background: #fff;
  padding: 30px;
  box-shadow: -10px 5px 10px 10px rgba(0, 0, 0, 0.1);
  font-size: 13px;
  font-weight: 500;
  color: black;
}

.details h1 {
  color: black;
  font-size: 35px;
}

.details h2 {
  color: black;
  font-size: 30px;
  font-weight: 600;
  margin-bottom: 10px; 
}

.details h3 {
  color: #00d874;
  margin-bottom: 10px; 
}

.details p {
  font-size: 15px;
  font-weight: 400;
  line-height: 1.5;
  margin-bottom: 10px; 
}

form {
  font-size: 15px;
  font-weight: 400;
  margin-top: 20px; 
}

.size-select,
.color-select,
.quantity-select {
  display: flex;
  align-items: center;
  margin-top: 10px; 
}

.size-select p,
.color-select p,
.quantity-select p {
  width: 70px;
  margin-top: 0;
  margin-right: 10px;
}

.size-select input:checked + span {
  color: blue;
  font-weight: 600;
}

.size-select input,
.color-select input {
  display: none;
}

.size-select span,
.color-select span {
  padding: 5px;
  margin-right: 10px;
  cursor: pointer;
}

.color-select span {
  display: inline-block;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  margin-right: 10px; 
  cursor: pointer;
}

.color-1 {
  background: rgb(0, 0, 0);
}

.color-2 {
  background: rgb(117, 117, 117);
}

.color-3 {
  background: rgb(255, 0, 0);
}

.color-4 {
  background: rgb(246, 255, 0);
}

.color-select input:checked + span {
  transform: scale(0.7);
  box-shadow: 0 0 0 4px #fff, 0 0 0 6px #000;
}

.quantity-select input {
  background: #eee;
  border: 0;
  outline: 0;
  padding: 2px 2px 2px 15px;
  width: 50px;
  border-radius: 12px;
}

form button {
  background: #553ffa;
  color: #fff;
  font-size: 17px;
  width: 100%;
  padding: 10px;
  border-radius: 30px;
  border: 0;
  outline: 0;
  margin-top: 20px; 
  box-shadow: 0 10px 10px rgba(85, 63, 240, 0.25);
  cursor: pointer;
}